-- Deploy camper:add_service to pg
-- requires: roles
-- requires: schema_camper
-- requires: service

begin;

set search_path to camper, public;

create or replace function add_service(company integer, icon_name text, name text, description text) returns integer as
$$
	insert into service (company_id, icon_name, name, description)
	values (company, icon_name, name, xmlparse (content description))
	returning service_id
	;
$$
	language sql
;

revoke execute on function add_service(integer, text, text, text) from public;
grant execute on function add_service(integer, text, text, text) to admin;

commit;
